package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 收货差异 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkArrivalinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkArrivalinfo(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkArrivalinfoMapper.addSKcCrkArrivalinfo", pd);
    }

    public List<PageData> findSKcCrkArrivalinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkArrivalinfoMapper.selectSKcCrkArrivalinfoList", pd);
    }

    public Integer SKcCrkArrivalinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkArrivalinfoMapper.SKcCrkArrivalinfoRemove", pd);
    }


    public Integer updateSKcCrkArrivalinfo(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkArrivalinfoMapper.updateSKcCrkArrivalinfo", pd);
    }

}
